# PHTTPRequest Class Reference

This object describes a HyperText Transport Protocol request. More...

`#include <http.h>`

Inheritance diagram for PHTTPRequest:

List of all members.

## Public Member Functions

| PHTTPRequest (const PURL &url, const PMIMEInfo &inMIME, const PMultiPartList &multipartFormInfo, PHTTPResource *resource, PHTTPServer &server)

## Public Attributes

PHTTPServer & | server
| Server channel that request initiated on.
const PURL & | url
| Universal Resource Locator for document.
const PMIMEInfo & | inMIME
| Extra MIME information in command.
const PMultiPartList & | multipartFormInfo
| multipart form information, if any
PHTTP::StatusCode | code
| Status code for OnError() reply.
PMIMEInfo | outMIME
| MIME information used in reply.
PString | entityBody
| original entity body (POST only)
PINDEX | contentSize
| Size of the body of the resource data.
PIPSocket::Address | origin
| IP address of origin host for request.
PIPSocket::Address | localAddr
| IP address of local interface for request.
WORD | localPort
| Port number of local server for request.
PHTTPResource * | m_resource
| HTTP resource found for the request.

## Detailed Description

This object describes a HyperText Transport Protocol request.

An individual request is passed to handler functions on `PHTTPResource` descendant classes.

## Constructor & Destructor Documentation

PHTTPRequest::PHTTPRequest | ( | const PURL & | url,
|  | const PMIMEInfo & | inMIME,
|  | const PMultiPartList & | multipartFormInfo,
|  | PHTTPResource * | resource,
|  | PHTTPServer & | server |
| ) |  |  |

Parameters:

  url | Universal Resource Locator for document.
  inMIME | Extra MIME information in command.
  multipartFormInfo | multipart form information (if any)
  resource | Resource associated with request
  server | Server channel that request initiated on

## Member Data Documentation

PHTTP::StatusCode PHTTPRequest::code

Status code for OnError() reply.

PINDEX PHTTPRequest::contentSize

Size of the body of the resource data.

PString PHTTPRequest::entityBody

original entity body (POST only)

const PMIMEInfo& PHTTPRequest::inMIME

Extra MIME information in command.

PIPSocket::Address PHTTPRequest::localAddr

IP address of local interface for request.

WORD PHTTPRequest::localPort

Port number of local server for request.

PHTTPResource* PHTTPRequest::m_resource

HTTP resource found for the request.

const PMultiPartList& PHTTPRequest::multipartFormInfo

multipart form information, if any

PIPSocket::Address PHTTPRequest::origin

IP address of origin host for request.

PMIMEInfo PHTTPRequest::outMIME

MIME information used in reply.

PHTTPServer& PHTTPRequest::server

Server channel that request initiated on.

const PURL& PHTTPRequest::url

Universal Resource Locator for document.

The documentation for this class was generated from the following file:

- http.h